| # Gaudi Framework, version v20r4
Generated: 8 Jan 2009

# GaudiPython::Pythonizations Namespace Reference

## Functions
def | _loadDict
def | _printHisto1D
def | _contentsHisto1D
def | _printHisto2D
def | _printStatusCode
def | _printBitReference
def | _printFillStream
def | _container__getitem__
def | _container__len__
def | _container__iter__
def | _draw_aida_
## Variables
list | __all__ = [ ]
| _loadDict_save = PyCintex.loadDict
| gbl = PyCintex.gbl

## Function Documentation

def GaudiPython::Pythonizations::_container__getitem__ | ( |  | self,
|  |  | k |
| ) |  |  | `[private]`

Definition at line 45 of file Pythonizations.py.

    00045                                    :
    00046   return self.containedObject(k)
    def _container__len__(self) :

def GaudiPython::Pythonizations::_container__iter__ | ( |  | self | ) | `[private]`

Definition at line 49 of file Pythonizations.py.

    00049                              :
    00050   if hasattr(self,'containedObjects') : sequential = self.containedObjects()
    00051   else                                : sequential = self
    00052   count = 0
    00053   limit = self.__len__()
    00054   while count < limit :
    00055     yield sequential.__getitem__(count)
    00056     count += 1
    00057
    def _draw_aida_ ( self , *args ) :

def GaudiPython::Pythonizations::_container__len__ | ( |  | self | ) | `[private]`

Definition at line 47 of file Pythonizations.py.

    00047                             :
    00048   return self.numberOfObjects()
    def _container__iter__(self) :

def GaudiPython::Pythonizations::_contentsHisto1D | ( |  | h | ) | `[private]`

Definition at line 24 of file Pythonizations.py.

    00024                         :
    00025   x = h.axis()
    00026   return  map(h.binEntries, range(x.bins()))
    def _printHisto2D(h) :

def GaudiPython::Pythonizations::_draw_aida_ | ( |  | self,
|  |  | args |
| ) |  |  | `[private]`

    Draw AIDA histogram (through access to internal ROOT histogram

    >>> aida = ...    # get the historgam
    >>> aida.Draw()

Definition at line 58 of file Pythonizations.py.

    00058                                  :
    00059   """
    00060   Draw AIDA histogram (through access to internal ROOT histogram
    00061
    00062   >>> aida = ...    # get the historgam
    00063   >>> aida.Draw()
    00064
    00065   """
    00066   _fun = PyCintex.gbl.Gaudi.Utils.Aida2ROOT.aida2root
    00067   _root = _fun ( self )
    00068   return _root.Draw( *args )
    00069
    gbl = PyCintex.gbl

def GaudiPython::Pythonizations::_loadDict | ( |  | name | ) | `[private]`

Definition at line 14 of file Pythonizations.py.

    00014                    :
    00015   import sys
    00016   if sys.platform != 'win32' and name[:3] != 'lib' : name = 'lib'+name
    00017   return _loadDict_save(name)
    00018 PyCintex.loadDict = _loadDict
    00019
    00020 #--- Adding extra functionality to C++ raw classes------------------------------------
    def _printHisto1D(h) :

def GaudiPython::Pythonizations::_printBitReference | ( |  | b | ) | `[private]`

Definition at line 34 of file Pythonizations.py.

    00034                           :
    00035   return str(1==b.bool())
    def _printFillStream(o) :

def GaudiPython::Pythonizations::_printFillStream | ( |  | o | ) | `[private]`

Definition at line 36 of file Pythonizations.py.

    00036                         :
    00037   s = gbl.stringstream()
    00038   o.fillStream(s)
    00039   out = s.str()
    00040   if out == '' :
    00041     out = o.__class__.__name__ + ' object'
    00042     if hasattr( o, 'hasKey') and o.hasKey() :
    00043       out += ' key = '+ str(o.key())
    00044   return out
    def _container__getitem__(self, k) :

def GaudiPython::Pythonizations::_printHisto1D | ( |  | h | ) | `[private]`

Definition at line 21 of file Pythonizations.py.

    00021                      :
    00022   x = h.axis()
    00023   return  'Histogram 1D "%s" %d bins [%f,%f]' % (h.title(), x.bins(), x.lowerEdge(), x.upperEdge())
    def _contentsHisto1D(h) :

def GaudiPython::Pythonizations::_printHisto2D | ( |  | h | ) | `[private]`

Definition at line 27 of file Pythonizations.py.

    00027                      :
    00028   x,y = h.xAxis(),h.yAxis()
    00029   return  'Histogram 2D "%s" %d xbins [%f,%f], %d ybins [%f,%f]' % \
    00030   (h.title(), x.bins(), x.lowerEdge(), x.upperEdge(), y.bins(), y.lowerEdge(), y.upperEdge() )
    def _printStatusCode(s) :

def GaudiPython::Pythonizations::_printStatusCode | ( |  | s | ) | `[private]`

Definition at line 31 of file Pythonizations.py.

    00031                         :
    00032   if s.isSuccess() : return 'SUCCESS'
    00033   else             : return 'FAILURE'
    def _printBitReference(b) :

## Variable Documentation

list GaudiPython::Pythonizations::__all__ = [ ]

Definition at line 8 of file Pythonizations.py.

GaudiPython::Pythonizations::_loadDict_save = PyCintex.loadDict

Definition at line 13 of file Pythonizations.py.

GaudiPython::Pythonizations::gbl = PyCintex.gbl

Definition at line 70 of file Pythonizations.py.